# Byte-compiled / optimized / DLL files
__pycache__/
*.py[cod]
*$py.class

# Virtual environments
venv/
env/
.venv/
.python-version

# Distribution / packaging
build/
dist/
*.egg-info/
.eggs/

# Logs and local settings
*.log
*.env
.envrc

# Jupyter Notebook checkpoints
.ipynb_checkpoints/

# MyPy cache
.mypy_cache/

# PyTest cache
.pytest_cache/

# Coverage reports
htmlcov/
.coverage
.coverage.*
.cache

# IDE and editor files
.vscode/
.idea/
*.sublime-project
*.sublime-workspace

# macOS and Linux files
.DS_Store
*.swp
